use std::boxed::Box;
use std::env::{set_current_dir as cd, current_dir as pwd};
use std::path::{Path, PathBuf};
use std::process::Command;

use crate::backend::{Backend, Repo};

#[derive(Debug, Clone, Copy)]
pub struct Mercurial;

impl Backend for Mercurial {
    #[allow(dead_code)]
    fn download(&self, _src: &str, _dest: &Path) -> bool {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn submodules(&self) -> Vec<PathBuf> {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn branch(&self) -> String {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn checkout(&self, _branch: &str) -> bool {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn has_updates(&self) -> bool {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn update(&self) -> bool {
        unimplemented!();
    }

    #[allow(dead_code)]
    fn subupdate(&self) -> bool {
        unimplemented!();
    }
}
